io.vertx.rxjava3.ext.auth.otp.totp

## Class TotpAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava3.ext.auth.otp.totp.TotpAuth

-     public class TotpAuth
      extends AuthenticationProvider

  An extension of AuthProvider which uses the one time passwords based on time to perform authentication.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TotpAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotpAuth(Object delegate)`
    `TotpAuth(TotpAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TotpAuth` | `authenticatorFetcher(java.util.function.Function<String,Single<Authenticator>> fetcher)` Provide a that can fetch s from a backend given an `identifier` argument.
    `TotpAuth` | `authenticatorUpdater(java.util.function.Function<Authenticator,Completable> updater)` Provide a that can update or insert a .
    `static TotpAuth` | `create()` Creates an instance of TotpAuth.
    `static TotpAuth` | `create(TotpAuthOptions totpAuthOptions)` Creates an instance of TotpAuth.
    `Future<Authenticator>` | `createAuthenticator(String id, OtpKey otpKey)` Creating authenticator from user id and key.
    `boolean` | `equals(Object o)`
    `String` | `generateUri(OtpKey otpKey, String label)` Creating URI for register in key in user device.
    `String` | `generateUri(OtpKey otpKey, String issuer, String user)` Creating URI for register in key in user device.
    `String` | `generateUri(OtpKey otpKey, String issuer, String user, String label)` Creating URI for register in key in user device.
    `TotpAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static TotpAuth` | `newInstance(TotpAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TotpAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### TotpAuth

          public TotpAuth(TotpAuth delegate)

    - #### TotpAuth

          public TotpAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public TotpAuth getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### authenticatorFetcher

          public TotpAuth authenticatorFetcher(java.util.function.Function<String,Single<Authenticator>> fetcher)

      Provide a that can fetch s from a backend given an `identifier` argument. The function signature is as follows: `(id) -> Future`
      - `id` the identifier to lookup.
      - async result with a authenticator.
      Parameters:
        `fetcher` - fetcher function.
      Returns:
        fluent self.

    - #### authenticatorUpdater

          public TotpAuth authenticatorUpdater(java.util.function.Function<Authenticator,Completable> updater)

      Provide a that can update or insert a . The function should store a given authenticator to a persistence storage. When an authenticator is already present, this method must at least update , and is not required to perform any other update. For new authenticators, the whole object data must be persisted. The function signature is as follows: `(Authenticator) -> Future`
      - the authenticator data to update.
      - async result of the operation.
      Parameters:
        `updater` - updater function.
      Returns:
        fluent self.

    - #### createAuthenticator

          public Future<Authenticator> createAuthenticator(String id,
                                                           OtpKey otpKey)

      Creating authenticator from user id and key.
      Parameters:
        `id` - id user.
        `otpKey` - key of user used for auth.
      Returns:
        an object containing all the necessary information to authenticate a user.

    - #### generateUri

          public String generateUri(OtpKey otpKey,
                                    String issuer,
                                    String user,
                                    String label)

      Creating URI for register in key in user device.
      Parameters:
        `otpKey` - user key.
        `issuer` - issuer of key.
        `user` - display name of user account.
        `label` - the label to identify which account a key is associated with.
      Returns:
        uri containing the key.

    - #### generateUri

          public String generateUri(OtpKey otpKey,
                                    String issuer,
                                    String user)

      Creating URI for register in key in user device.
      Parameters:
        `otpKey` - user key.
        `issuer` - issuer of key.
        `user` - display name of user account.
      Returns:
        uri containing the key.

    - #### generateUri

          public String generateUri(OtpKey otpKey,
                                    String label)

      Creating URI for register in key in user device.
      Parameters:
        `otpKey` - user key.
        `label` - the label to identify which account a key is associated with.
      Returns:
        uri containing the key.

    - #### create

          public static TotpAuth create()

      Creates an instance of TotpAuth.
      Returns:
        the created instance of `TotpAuth`.

    - #### create

          public static TotpAuth create(TotpAuthOptions totpAuthOptions)

      Creates an instance of TotpAuth.
      Parameters:
        `totpAuthOptions` - the config.
      Returns:
        the created instance of `TotpAuth`.

    - #### newInstance

          public static TotpAuth newInstance(TotpAuth arg)

Copyright © 2024 Eclipse. All rights reserved.